/**
Large Assignment 1: L-System.
Jorge Loredo Duran
jloredo98@unm.edu
Computational Fabrications, CS 591.
Submitted on February 14, 2022
A program that draws a Brown inpired abstract design using L-System.
*/
import processing.pdf.*;
import Turtle.*;  
Turtle t; 
void setup() { 
 size(1000,800); 
 strokeWeight(2);
 stroke(255,0,0);
 background(0,0,0);
 t = new Turtle(this);
 noLoop();
}
void draw () {
  beginRecord(PDF, "BrownDesign.pdf");
  ellipse(490, 375, 672, 672);
  //POSITIONING THE TURTlE
  t.penUp();
  t.left(90);
  t.forward(50);
  t.left(90);
  t.forward(20);
  t.right(180);
  
  //DRAWING THE CIRCLE DESIGNS
  t.penDown();
  drawCircleDesign();
  t.penUp();
  t.forward(230);
  t.penDown();
  drawCircleDesign();
  
  t.penUp();
  t.left(75);
  t.forward(150);
  t.penDown();
  drawCircleDesign();
  
  t.penUp();
  t.left(160);
  t.forward(105);
  t.penDown();
  drawCircleDesign();
  
  t.penUp();
  t.left(132);
  t.forward(107);
  t.penDown();
  drawCircleDesign();
  
  t.penUp();
  t.left(142);
  t.forward(107);
  t.penDown();
  drawCircleDesign();
  
  t.penUp();
  t.left(140);
  t.forward(107);
  t.penDown();
  drawCircleDesign();
  endRecord();
}

void drawCircleDesign() {
  for (int j = 0; j < 20; j++ ) {
    t.penUp();
    t.forward(100);
    t.right(100);
    for (int i = 0; i < 360; i++){
      t.penDown();
      t.right(1);
      t.forward(1);
    }
  }
}
