/**
Large Assignment 1: L-System.
Jorge Loredo Duran
jloredo98@unm.edu
Computational Fabrications, CS 591.
Submitted on February 14, 2022
A program that draws a plynomial abrstarct construct using L-System.
*/
class LSystem {
String axiom;
String computedWord;
String[][] rules = {{"F", "F+F+F"}}; 
float size, angle;
LSystem(float size, float angle) { 
  this.size = size;
  this.angle = angle;
  axiom = "F"; 
  computedWord = axiom;
}

void iterate (int iterations) {
String tempWord;
println("starting word: " +computedWord); 
for(int i=0; i<iterations; i++) {
  tempWord = computedWord;
  computedWord = tempWord.replaceAll(rules[0][0],rules[0][1]); 
  println("iteration " + i +": " +computedWord);
  } 
}
void drawLSystem(Turtle t) {
 char c;
 int green = 0;
 for (int i=0; i<computedWord.length(); i++) { 
   c = computedWord.charAt(i);
   if (c == 'F') {
      stroke(150,green,10);
      t.forward(size);
   }
   else if (c == '+'){
      t.right(angle);
      size = size + 1;
      if (green == 255){
        green = 0;
      }
      else {
        green = green + 1;
      }
   }
  }
}
}
